html {
  height: 100%;
}

body {
  background-color: #000;
  margin: 0 auto;
  text-transform: uppercase;
  /* height: 100vh; */
  font-family: "DM Sans", sans-serif;
  height: 100%;
}

#wrapper {
  max-width: 768px;
  margin: 0 auto;
  height: 100%;
}

#container {
  display: inline-flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
  display: none;
}
.stage {
  background-color: #fff;
  position: fixed;
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
  max-width: 768px;
  margin: auto;
  padding-bottom: 70px;
}
#alert {
  background-color: rgba(255, 255, 0, 0.95);
  cursor: pointer;
  width: 200px;
  height: 200px;
  border-radius: 50%;
  text-align: center;
  z-index: 5;
  padding: 50px;
  box-shadow: 255 0 0 0 rgb(255, 255, 255);
  transform: scale(1);
  animation: pulse 2s infinite;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
}
#alert:hover {
  background-color: rgba(0, 255, 0, 0.95);
}

#alert a {
  text-align: center;
  font-size: 1.5em;
  color: rgb(0, 0, 0);
  position: relative;
  top: 10px;
}

#grid-menu {
  display: grid;
  grid-template-columns: 25% auto 25%;
  background-color: #fff;
  /* padding: 0px;
  max-width: 768px;
  margin: auto; */
  /* width: 100vw; */
  /* height: 100vh; */
  position: fixed;
  bottom: 0;
  /* height: 100%; */
  width: 100%;
  max-width: 768px;
  height: 70px;
}

#grid-container {
  /* display: grid; */
  display: none;
  grid-template-columns: auto auto auto;
  background-color: #000;
  /* padding: 4px; */
  max-width: 768px;
  margin: auto;
  /* width: 100vw; */
  min-height: 100vh;
  min-height: -webkit-fill-available;
}
.grid-item {
  background-color: rgba(255, 255, 255, 0.8);
  /* border: 3px solid #ccc; */
  border: none;
  margin: 4px;
  font-size: 20px;
  text-align: center;
  vertical-align: middle;
  text-transform: uppercase;
  color: #000;
  cursor: pointer;
  /* padding-top: 148%; */
}
.mask1 {
  background: url("assets/svg/mask1.svg") #ff0000 no-repeat center;
}
.mask2 {
  background: url("assets/svg/mask2.svg") #009245 no-repeat center;
}
.mask3 {
  background: url("assets/svg/mask3.svg") #633525 no-repeat center;
}
.mask4 {
  background: url("assets/svg/mask4.svg") #6000dd no-repeat center;
}
.mask5 {
  background: url("assets/svg/mask5.svg") #ff9100 no-repeat center;
}
.mask6 {
  background: url("assets/svg/mask6.svg") #0e1ee2 no-repeat center;
}
.mask7 {
  background: url("assets/svg/mask7.svg") #339eff no-repeat center;
}
.mask8 {
  background: url("assets/svg/mask8.svg") #107072 no-repeat center;
}
.mask9 {
  background: url("assets/svg/mask9.svg") #ed1e79 no-repeat center;
}

.grid-item:hover {
  background-color: #000;
  /* scale: 0.95; */
}

#menu,
#info {
  display: grid;
  max-width: 768px;
  position: relative;
  padding: 15px 0px;
  height: 70px;
  /* width: 50%; */
  text-transform: uppercase;
  color: #000;
  line-height: 40px;
  margin-top: auto;
  margin: 0;
  letter-spacing: 0.1em;
  text-indent: 0.1em;
}

#menu:hover,
#info:hover {
  background-color: #ccc;
  /* scale: 0.95; */
}

#about {
  z-index: 10;
  text-transform: initial;
  background-color: rgba(255, 255, 255, 1);
  position: fixed;
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
  max-width: 668px;
  margin: auto;
  padding: 30px;
}
#about p {
  margin: 0;
  padding-bottom: 1em;
  font-size: 1em;
}
#about a {
  color: #000;
  border-bottom: thin solid #000;
  width: 100%;
  text-decoration: none;
}

input[type="text"] {
  /* Remove First */
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;

  /* Then Style */
  border-radius: 15px;
  border: 1px dashed #bbb;
  padding: 10px;
  line-height: 20px;
  text-align: center;
  background: transparent;
  outline: none;
}

#slide {
  display: grid;
  position: relative;
  padding: 20px 20px;
  height: 30px;
  text-transform: uppercase;
  color: #000;
  margin-top: auto;
  border-left: 2px solid #000;
  border-right: 2px solid #000;
}

.slider {
  -webkit-appearance: none;
  width: 100%;
  height: 3px;
  background: #ccc;
  outline: none;
  -webkit-transition: 0.2s;
  transition: opacity 0.2s;
}

.slider:hover {
  opacity: 1;
}

.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;

  width: 30px;
  height: 30px;
  background: #fff;
  border-radius: 50%;
  cursor: pointer;
  box-shadow: none;
  border: 4px solid #4444;
}

.slider::-webkit-slider-thumb:active {
  background: #000;
}

.slider::-moz-range-thumb {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;

  width: 30px;
  height: 30px;
  background: #fff;
  border-radius: 50%;
  cursor: pointer;
  border: 4px solid #4444;
}

label {
  font-size: 12px;
  text-align: center;
  padding-top: 13px;
  text-indent: 0.1em;
  letter-spacing: 0.1em;
}

.close {
  position: absolute;
  right: 30px;
  bottom: 30px;
  width: 42px;
  height: 42px;
  opacity: 0.7;
  cursor: pointer;
  border-radius: 50%;
  border: 2px solid;
}
.close:hover {
  opacity: 1;
}
.close:before,
.close:after {
  position: absolute;
  left: 20px;
  top: 4px;
  content: " ";
  height: 33px;
  width: 2px;
  background-color: #000;
}
.close:before {
  transform: rotate(45deg);
}
.close:after {
  transform: rotate(-45deg);
}

.m-fadeOut {
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s linear 300ms, opacity 300ms;
}

.m-fadeIn {
  visibility: visible;
  opacity: 1;
  transition: visibility 0s linear 0s, opacity 300ms;
}

.a-fadeOut {
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s linear 600ms, opacity 600ms;
}

@keyframes pulse {
  0% {
    transform: scale(0.95);
    box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.7);
  }

  70% {
    transform: scale(1);
    box-shadow: 0 0 0 10px rgba(255, 255, 255, 0);
  }

  100% {
    transform: scale(0.95);
    box-shadow: 0 0 0 0 rgba(255, 255, 255, 0);
  }
}

@media (min-width: 575.98px) {
  #about {
    padding: 50px;
  }
  #about p {
    font-size: 1.5em;
    padding-bottom: 1em;
    /* padding: 3em 3em 0em 3em; */
  }
  #alert {
    padding: 100px;
  }
  #alert a {
    top: 10%;
  }
}

@media (max-width: 400px) {
  #about p {
    font-size: 0.8em;
  }

  label {
    font-size: 10px;
  }
}
